org.eclipse.eef.core.api

## Class LockStatusChangeEvent

- java.lang.Object
- - org.eclipse.eef.core.api.LockStatusChangeEvent

    public class LockStatusChangeEvent
    extends java.lang.Object

Represents a change in the lock status of an `EObject`.

### Nested Class Summary

Nested Classes
`static class` `LockStatusChangeEvent.LockStatus` The possible lock status.

### Constructor Summary

Constructors
Constructor and Description
`LockStatusChangeEvent(org.eclipse.emf.ecore.EObject element, LockStatusChangeEvent.LockStatus status)` Creates a new `LockStatusChangeEvent`.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.ecore.EObject` `getElement()` Returns the element whose lock status changed.
`LockStatusChangeEvent.LockStatus` `getStatus()` Returns the new lock status.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LockStatusChangeEvent

    public LockStatusChangeEvent(org.eclipse.emf.ecore.EObject element,
                                 LockStatusChangeEvent.LockStatus status)

Creates a new `LockStatusChangeEvent`.

Parameters:
  `element` - the element whose lock status changed.
  `status` - the new lock status.

### Method Detail

#### getElement

    public org.eclipse.emf.ecore.EObject getElement()

Returns the element whose lock status changed.

Returns:
  The element whose lock status changed.

#### getStatus

    public LockStatusChangeEvent.LockStatus getStatus()

Returns the new lock status.

Returns:
  The new lock status.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`
See Also:
  `Object.toString()`